Retrieve the compliance score for a single tag rule. The score is computed over the
requested time window (or a source-appropriate default) and represents the percentage of
telemetry within that window that conforms to the rule. A null score indicates that
no relevant telemetry was found.
This endpoint requires
any
of the following permissions:
telemetry_rules_read
metrics_read
Arguments
Path Parameters
Name
Type
Description
rule_id [required]
string
The unique identifier of the tag rule.
Query Strings
Name
Type
Description
ts_start
integer
Start of the time window used for compliance score computation, as a Unix timestamp in milliseconds.
ts_end
integer
End of the time window used for compliance score computation, as a Unix timestamp in milliseconds. Must be in the past and greater than ts_start.
The compliance score for the rule over the requested time window, as a percentage
between 0 and 100. null indicates that no relevant telemetry was found.
ts_end [required]
int64
End of the time window the score was computed over, as a Unix timestamp in milliseconds.
ts_start [required]
int64
Start of the time window the score was computed over, as a Unix timestamp in milliseconds.
version [required]
int64
The version of the tag rule that the score was computed against.
id [required]
string
The unique identifier of the compliance score resource.
type [required]
enum
JSON:API resource type for a tag rule compliance score.
Allowed enum values: tag_rule_score
"""
Get a tag rule compliance score returns "OK" response
"""fromdatadog_api_clientimportApiClient,Configurationfromdatadog_api_client.v2.api.tag_rules_apiimportTagRulesApiconfiguration=Configuration()configuration.unstable_operations["get_tag_rule_score"]=TruewithApiClient(configuration)asapi_client:api_instance=TagRulesApi(api_client)response=api_instance.get_tag_rule_score(rule_id="rule_id",)print(response)
# Get a tag rule compliance score returns "OK" responserequire"datadog_api_client"DatadogAPIClient.configuredo|config|config.unstable_operations["v2.get_tag_rule_score".to_sym]=trueendapi_instance=DatadogAPIClient::V2::TagRulesAPI.newpapi_instance.get_tag_rule_score("rule_id")
// Get a tag rule compliance score returns "OK" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){ctx:=datadog.NewDefaultContext(context.Background())configuration:=datadog.NewConfiguration()configuration.SetUnstableOperationEnabled("v2.GetTagRuleScore",true)apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewTagRulesApi(apiClient)resp,r,err:=api.GetTagRuleScore(ctx,"rule_id",*datadogV2.NewGetTagRuleScoreOptionalParameters())iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `TagRulesApi.GetTagRuleScore`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `TagRulesApi.GetTagRuleScore`:\n%s\n",responseContent)}
// Get a tag rule compliance score returns "OK" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.TagRulesApi;importcom.datadog.api.client.v2.model.TagRuleScoreResponse;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();defaultClient.setUnstableOperationEnabled("v2.getTagRuleScore",true);TagRulesApiapiInstance=newTagRulesApi(defaultClient);try{TagRuleScoreResponseresult=apiInstance.getTagRuleScore("123");System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling TagRulesApi#getTagRuleScore");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
// Get a tag rule compliance score returns "OK" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_tag_rules::GetTagRuleScoreOptionalParams;usedatadog_api_client::datadogV2::api_tag_rules::TagRulesAPI;#[tokio::main]asyncfnmain(){letmutconfiguration=datadog::Configuration::new();configuration.set_unstable_operation_enabled("v2.GetTagRuleScore",true);letapi=TagRulesAPI::with_config(configuration);letresp=api.get_tag_rule_score("rule_id".to_string(),GetTagRuleScoreOptionalParams::default(),).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<DD_API_KEY>"DD_APP_KEY="<DD_APP_KEY>"cargo run
/**
* Get a tag rule compliance score returns "OK" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration();configuration.unstableOperations["v2.getTagRuleScore"]=true;constapiInstance=newv2.TagRulesApi(configuration);constparams: v2.TagRulesApiGetTagRuleScoreRequest={ruleId:"rule_id",};apiInstance.getTagRuleScore(params).then((data: v2.TagRuleScoreResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));